İçeriğe geç

Pika Image to Video Turbo (v2)

Entegre et

Model kimliği pika/v2/turbo/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pika/v2/turbo/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,20 200 API kredisi · ≈ ₽21,46 Bu sayfada çalıştır

API anahtarı al
Pika Görselden Videoya Hızlı1080p değerine kadar #editing#effects#animation

Sabit görüntüyü daha hızlı işlemek üzere tasarlanmış Pika v2'nin Turbo çeşidi

Pika · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli
•gerekli image_url
Dosyayı bırakın veya
resolution varsayılan 720p

Çıktı videosunun çözünürlüğü.

varsayılan 5

Saniye cinsinden ölçülen çıktı video uzunluğu.

Gelişmiş negative_prompt · seed
varsayılan

Model yönlendirmesi için kullanılan negatif istem.

Rastgele sayı üreteci tarafından kullanılan seed değeri.

POST /run/pika/v2/turbo/image-to-video?wait=20 fiyat → $0,20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pika/v2/turbo/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Pika Image to Video Turbo (v2) hakkında

`image_url` içinde verilen görüntüyü gerekli bir `prompt`'a göre canlandırır. Çıktı 720p veya 1080p'dir; saniye cinsinden tam sayı `duration` varsayılan olarak 5'tir. `negative_prompt` ve `seed` isteğe bağlıdır. Bu, v2 görüntüden videoya serisinin daha hızlı katmanıdır.

Parametreler

Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar

AdTür Varsayılanİzin verilen Açıklama
image_urlgerekli image
Türurl · image
promptgerekli
Türstring
seedisteğe bağlı
Türinteger | null
Rastgele sayı üreteci tarafından kullanılan seed değeri.
negative_promptisteğe bağlı
Türstring
Varsayılan
Model yönlendirmesi için kullanılan negatif istem.
resolutionisteğe bağlı
Türenum
Varsayılan720p
720p1080p
Çıktı videosunun çözünürlüğü.
durationisteğe bağlı
Türinteger
Varsayılan5
Saniye cinsinden ölçülen çıktı video uzunluğu.
gerekli Kanonik ad, bu ad da kabul edilir

Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "pika/v2/turbo/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size}Model tarafından üretilen video.

Daha fazla model: Görselden Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/pika/v2/turbo/image-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt